
TYPO3.Welcome - Bug # 44670

Status: Resolved Priority: Could have
Author: Axel Böswetter Category:
Created: 2013-01-20 Assigned To: Karsten Dambekalns
Updated: 2013-03-19 Due date:
Affected Flow version: Flow 2.0.0 beta 1
Subject: JS in Welcome Package broken
Description

Hi,

I've just installed the 2.0b1 in a VM and recognized that the javascript in the welcome package seems to be broken. The mootools
core v1.2.2 seems to be buggy as it does not return the first h2 element via element.getFirst() but the ".tab" div itself, which results in
non object error after element.getFirst('h2). It also results in a broken layout, as the "tab-*" css classes are not correctly assigned so
that the stylesheets in the Styles.css don't apply correctly.

Just replace the mootools library with the latest one and everthing seems to be fine again. I used the latest 
mootools-core-1.4.5-full-compat-yc.js from the mootools website.

This is just cosmetical, I know, but normaly it's the first part of Flow every new user sees.

Regards,
Axel

Associated revisions
Revision 27b3e27f - 2013-02-20 17:26 - Christian Müller

[BUGFIX] Switch welcome site to jQuery for consistency

The welcome site now also uses jQuery as JavaScript library.
Additionally folder names were adapted to match the best
practice proposal we have.

Change-Id: I0038185fca9a02a10cf6e36193a66f1b8985d551
Fixes: #44670
Releases: master, 2.0, 1.1

Revision 565b580f - 2013-03-19 16:01 - Christian Müller

[BUGFIX] Switch welcome site to jQuery for consistency

The welcome site now also uses jQuery as JavaScript library.
Additionally folder names were adapted to match the best
practice proposal we have.

Change-Id: I0038185fca9a02a10cf6e36193a66f1b8985d551
Fixes: #44670
Releases: master, 2.0, 1.1
Revision 6d0b866d - 2013-03-19 16:02 - Christian Müller

[BUGFIX] Switch welcome site to jQuery for consistency

The welcome site now also uses jQuery as JavaScript library.
Additionally folder names were adapted to match the best
practice proposal we have.

Change-Id: I0038185fca9a02a10cf6e36193a66f1b8985d551
Fixes: #44670
Releases: master, 2.0, 1.1

History
#1 - 2013-01-21 16:08 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.Welcome
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

What browser are you using? It works fine here, with Chrome…

#2 - 2013-01-25 12:24 - Adrian Föder

Rafael http://forge.typo3.org/users/38109 just came up with it and I came with the following conclusion:

On Firefox 18, MooTools 1.2 behaves the following:
1<div>
2    <div class="tabs">
3        <div class="tab">one</div>
4        <div class="tab">two</div>
5    </div>
6</div>

1document.getElements('.tab') -> [div.tabs, div.tab, div.tab]

This is incorrect as it must of course only return the actual ".tab" items.

See this for a comparison: http://jsfiddle.net/aAnjt/

In Browsers < FF 18 this does not happen; so does not Mootools 1.4.

I'd strongly recommend to update to MooTools 1.4; or, if you like, to jQuery (however I personally prefer MooTools ;)

#3 - 2013-01-25 12:27 - Axel Böswetter

Sorry for the late reply. I am using FF 18 as mentioned above.
#4 - 2013-01-25 13:08 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17700

#5 - 2013-02-20 09:04 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18391

#6 - 2013-02-20 17:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18391

#7 - 2013-02-27 13:36 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:27b3e27f12d1ad472a8c5a9f6732f8a864a20c55.

#8 - 2013-03-19 16:01 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/19050

#9 - 2013-03-19 16:02 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19051

#10 - 2013-03-19 16:37 - Christian Müller
- Status changed from Under Review to Resolved

Applied in changeset commit:6d0b866da48893e2a6ea00b8b6cde100bbd68ac5.
